fltk-config(1)                                                  fltk-config(1)



NNAAMMEE
       fltk-config  - script to get information about the installed version of
       fltk.


SSYYNNOOPPSSIISS
       fltk-config [ --prefix _[_=_D_I_R_] ] [ --exec-prefix _[_=_D_I_R_] ] [ --version  ]
       [ --api-version ] [ --use-gl ] [ --use-images ] [ --use-glut ] [ --cc ]
       [ --cxx ] [ --cflags ] [ --cxxflags ] [ --ldflags ] [ --ldstaticflags ]
       [ --libs ] [ -D_n_a_m_e_[_=_v_a_l_u_e_] ] [ -g ] [ --compile _p_r_o_g_r_a_m_._c_x_x ]

DDEESSCCRRIIPPTTIIOONN
       _f_l_t_k_-_c_o_n_f_i_g  is  a  utility  script that can be used to get information
       about the current version of FLTK that is installed on the system, what
       compiler  and  linker  options to use when building FLTK-based applica-
       tions, and to build simple FLTK applications.

       The following options are supported:

       --api-version
            Displays the current FLTK API version number, e.g. "1.1".

       --cc

       --cxx
            Displays the C/C++ compiler that was used to compile FLTK.

       --cflags

       --cxxflags
            Displays the C/C++ compiler options to use when  compiling  source
            files that use FLTK.

       --compile _p_r_o_g_r_a_m_._c_x_x
            Compiles  the  source  file _p_r_o_g_r_a_m_._c_x_x into _p_r_o_g_r_a_m.  This option
            implies "--post _p_r_o_g_r_a_m".

       -g
            Enables debugging information when compiling  with  the  _-_-_c_o_m_p_i_l_e
            option.

       --ldflags
            Displays  the  linker  options to use when linking a FLTK applica-
            tion.

       --ldstaticflags
            Displays the linker options to use when linking a FLTK application
            to the static FLTK libraries.

       --libs
            Displays  the  full path to the FLTK library files, to be used for
            dependency checking.

       --use-gl
            Enables OpenGL support.

       --use-glut
            Enables GLUT support.

       --use-images
            Enables image file support.

       --version
            Displays the current FLTK version number, e.g. "1.1.0".

SSEEEE AALLSSOO
       fluid(1), fltk(3)
       FLTK Programming Manual
       FLTK Web Site, http://www.fltk.org/

AAUUTTHHOORRSS
       Bill Spitzak and others.



6 February 2007               Fast Light Tool Kit               fltk-config(1)
